Subject: [Sip] Why Proxy sends option to its client

From: "Dharmesh Desai" <[email-masked]>
Date: Fri, 28 Dec 2007 10:12:29 +0530

Dear All,

I have a quarry related to OPTION.

I have seen that one of the proxies is sending OPTION to its client at some
particular time interval.

Is Proxy can send OPTION to its client?

If yes, then what is purpose of doing so?

Regards,
Dharmesh Desai 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "孙永光" <[email-masked]>
Date: Fri, 28 Dec 2007 13:12:30 +0800

please refer RFC3261 section 11

---

From: "Donald Lee" <[email-masked]>
Date: Fri, 28 Dec 2007 14:40:31 +0800

In fact some of the Server uses this OPTION method as a keep alive
mechanism. As per to rfc3261, OPTION is used for querying the
capabilities of the remote endpoint, so the client just need reply the
correct response according to the RFC.

-- 
BR
Donald